<bugID>966741<Summary>Middle clicking recently closed tab item in history view keeps panel open</Summary><Description>I have noticed some inconsistencies in the History actions when History is accessed from the MenuPanel.

Use a Profile with some History.

Re-opening tabs that are in 'recent closed tabs' list.
Left clicking on a recent-closed will open the link in a new tab and close the panel.
Mid-clicking will open the tab, but leave the panel visible.

Elsewhere in the History list
Left clicking a link will open tab in the 'current active', unlike left click from recent closed opening in a new tab, and the panel will close.
Mid-clicking a link from History will open in a new tab, and close the panel.

I think no matter what you open or how they open, left click, or mid-click should be consistent.

No matter if you re-open a closed tab from 'recent closed', or from the History list the following mouse-click actions should be consistent:

Left Click - open History item in 'current active tab'
Mid click - open History item in a 'new tab'. 
Either action should close the History Panel.

The above actions are the same as those produced if you open any History item, recent closed, or history item from the Menu-bar -&gt; History

I hope I've stated these action correctly.. sort of confusing, really.</Description></bugID>